Skip to main content
`Ctrl`+`K`

# DMPolytopeGetVertexOrientation

Determine an orientation (transformation) that takes the source vertex arrangement to the target vertex arrangement

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMPolytopeGetVertexOrientation(DMPolytopeType ct, const PetscInt sourceCone[], const PetscInt targetCone[], PetscInt *ornt)

Not Collective

## Input Parameters

- ct - The `DMPolytopeType`

- sourceCone - The source arrangement of vertices

- targetCone - The target arrangement of vertices

## Output Parameter

- ornt - The orientation (transformation) which will take the source arrangement to the target arrangement

## Note

This function is the same as `DMPolytopeMatchVertexOrientation()` except it errors if not orientation is possible.

## Developer Note

It is unclear why this function needs to exist since one can simply call `DMPolytopeMatchVertexOrientation()` and error if none is found

## See Also

DM Basics, `DM`, `DMPolytopeType`, `DMPolytopeMatchVertexOrientation()`, `DMPolytopeGetOrientation()`

## Level

advanced

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages